Nudgescribe API Reference
APIs
API types
API types
  • Authentication
  • Content
  • Campaign
APIs
API types
API types
  • Authentication
  • Content
  • Campaign
  1. Customers
  • Nudgescribe API
  • Authentication
    • Authentication
    • Authenticate
      POST
    • Re-Authenticate
      GET
  • Content
    • Customers
      • Customer Management
      • Upload and Validate Customer Data
        POST
      • Get pages
        POST
      • Get Customers
        POST
      • Delete Customers
        DELETE
    • Customer Groups
      • Customer Groups
      • Create Customer Group
      • Get Customer Groups
      • Update Customer Group
      • Delete Customer Group
    • Customer Profile Fields
      • Customer Profile Fields
      • Create a Custom Profile Field
      • Get Customer Profile Fields for a Workspace
      • Update Custom Fields
      • Delete Custom Fields
  • Campaigns
    • Campaign Messages Management
    • Get All Accounts Campaigns
      POST
    • Publish Messages to Secure Storage
      POST
    • Get Campaign Messages Pages
      POST
    • Retrieve Published Messages
      POST
APIs
API types
API types
  • Authentication
  • Content
  • Campaign
APIs
API types
API types
  • Authentication
  • Content
  • Campaign
  1. Customers

Upload and Validate Customer Data

POST
https://client-api.nudgescribe.com/v1/customer/check
ContentCustomersCustomer ManagementCustomerValidationCustomer DataValidate
Comprehensive validation endpoint that verifies both CSV headers and customer data against your workspace's field configuration before upload. This ensures data quality and prevents upload failures.
Provides pre-upload validation to catch data issues early, ensuring your customer data meets all requirements before committing to the database.
Can also be used to update existing customer records by matching unique identifiers, with support for both bulk CSV updates and individual customer modifications.
Enables your application to keep customer data current by updating records as information changes, while maintaining data security and integrity.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200Success
application/json
Body

🟠400Missing Fields
🔴500Server Error
🟠403Unauthorised
🟠401Missing Fields
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location --request POST 'https://client-api.nudgescribe.com/v1/customer/check' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
  "workspace_id": "487eba13-d2f4-4d1f-ba17-e2422d930465",
  "customer_group_id": "2fd8e2cc-ca46-4c0d-af1d-65c3443693c0",
  "data_file": "unique_id,title,first_name,last_name,gender,age,language\nCUST004,Ms.,Alice,Brown,F,24,English\nCUST005,Mr.,Charlie,Davis,M,24,English"
}'
Response Response Example
200 - Example 1
{
    "jobId": "string",
    "message": "string"
}
Modified at 2026-01-29 13:09:11
Previous
Customer Management
Next
Get pages
Built with